import React from "react";
import { reduxForm, Field } from "redux-form";
import  authValidate  from "../../utils/validate";
import Authbuttons from './authButtons'

const Form = props => {
  const { handleSubmit, getUsersData } = props
  const submit = (values) => { 
    getUsersData(values);
  }
    return (
      <div>
        <Authbuttons />
        <form className="auth__form" onSubmit={handleSubmit(submit)}>
          <div>
            <Field
              name="email"
              component="input"
              type="Емейл" 
              placeholder="email@example.com"

            />
          </div>
          <div>  
            <Field
              name="password"
              component="input" 
              type="password" 
              placeholder ="Пароль"  
            />
          </div>
          <button className="auth__submit-button">Отправить</button>
        </form>
      </div>
    );
}

export default reduxForm({ form: "authForm", validate: authValidate })(Form);